<div class="modal-header">
    <h4 class="modal-title">Payment ID #{{payment.pm_id}}
        <!-- <span *ngIf="details.order_data.status=='-1'">ถูกยกเลิก</span>
      <span *ngIf="details.order_data.status=='0'">รอการชำระเงิน</span>
      <span *ngIf="details.order_data.status=='1'">รอการจัดส่ง</span>
      <span *ngIf="details.order_data.status=='2'">สำเร็จแล้ว</span> -->
    </h4>
    <button type="button" class="close" aria-label="Close" (click)="close()">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="content">
        <dl>
            <dt>หลักฐานการชำระ </dt>
            <dd><img style="width: 420px;"
                src="{{payment.picture}}"></dd>
            <dt>Payment ID </dt>
            <dd>#{{payment.pm_id}} อัพโหลดเมื่อวันที่ {{payment.time_upload| date:'shortDate'}} เวลา {{payment.time_upload| date:'shortTime'}}</dd>
            <dt>Order ID </dt>
            <dd>#{{payment.order_id}}</dd>
            <dt>ชื่อลูกค้า </dt>
            <dd>{{payment.name}}</dd>
            <dt>การชำระเงิน </dt>
            <dd>
                <span *ngIf="payment.order_status == 0">รอการชำระเงิน</span>
                <span *ngIf="payment.order_status == -1">ยกเลิกแล้ว โดย {{payment.admin}} เมื่อวันที่ {{payment.time_check| date:'shortDate'}} เวลา {{payment.time_check| date:'shortTime'}}</span>
                <span *ngIf="payment.order_status == -2">ถูกปฏิเสธ โดย {{payment.admin}} เมื่อวันที่ {{payment.time_check| date:'shortDate'}} เวลา {{payment.time_check| date:'shortTime'}}</span>
                <span *ngIf="payment.order_status == 1">ยืนยันแล้ว โดย {{payment.admin}} เมื่อวันที่ {{payment.time_check| date:'shortDate'}} เวลา {{payment.time_check| date:'shortTime'}}</span>
            </dd>
            <dt>เบอร์โทรลูกค้า </dt>
            <dd>{{payment.phone}}</dd>
            <dt>email ลูกค้า </dt>
            <dd>{{payment.email}}</dd>
            <dt>ชื่อผู้ขาย </dt>
            <dd>{{payment.sale_name}}</dd>
            <dt>เบอร์โทรผู้ขาย </dt>
            <dd>{{payment.sale_phone}}</dd>
            <dt>สินค้า </dt>
            <dd>{{payment.p_name}}</dd>
            <dt>จำนวน </dt>
            <dd>{{payment.count}} คิว</dd>
            <dt>ราคาสุทธิ </dt>
            <dd>{{payment.price|number}} บาท
                <!-- <span *ngIf="details.order_data.car=='1'">รถโม่เล็ก</span>
          <span *ngIf="details.order_data.car=='2'">รถโม่ใหญ่</span> -->
            </dd>
            <dt>วันที่จัดส่ง </dt>
            <dd>{{payment.send_date}}</dd>
            <dt>เวลาที่จัดส่ง </dt>
            <dd>{{payment.send_time}}</dd>
            <dt>สถานที่จัดส่ง </dt>
            <dd>{{payment.address}}</dd>
        </dl>
    </div>
</div>
<div class="modal-footer">
    <button [disabled]="payment.order_status!='0' || admin_type > 2" href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary "
        (click)="confirm(payment.pm_id)"><i class="fa fa-check"></i> ยืนยัน</button>
    <button [disabled]="payment.order_status!='0' || admin_type > 2" href="javascript:void(0)" (click)="cancel(payment.pm_id)"
        class="btn btn-raised mr-1 btn-danger"><i class="fa fa-times"></i> ปฏิเสธ</button>
    <button class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
</div>